Skip to main content
`Ctrl`+`K`

# tree_graph

tree_graph(data, ident='id', children='children')

  Returns graph from tree data format.

  Parameters:
    data dict

      Tree formatted graph data

    ident string

      Attribute name for storing NetworkX-internal graph data. `ident` must have a different value than `children`. The default is ‘id’.

    children string

      Attribute name for storing NetworkX-internal graph data. `children` must have a different value than `ident`. The default is ‘children’.

  Returns:
    G NetworkX DiGraph

  See also

  `tree_data`, `node_link_data`, `adjacency_data`

  Examples

      >>> from networkx.readwrite import json_graph
      >>> G = nx.DiGraph([(1, 2)])
      >>> data = json_graph.tree_data(G, root=1)
      >>> H = json_graph.tree_graph(data)